Bug 1566765 - [RFE] Provide a way to leverage the Activation Key benefits without having to re-register clients OR provide a viable alternative.
Summary: [RFE] Provide a way to leverage the Activation Key benefits without having to...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Activation Keys
Version: 6.2.14
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Perry Gagne
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 00:10 UTC by Christian Marineau
Modified: 2021-03-11 17:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-31 18:27:48 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Christian Marineau 2018-04-13 00:10:07 UTC
Description of problem:
-----------------------
Many users are regularly modifying the following on their existing Content Hosts:
  -Enabled repositories
  -Content View
  -Lifecycle Environment
  -Release Version
  -Attached Subscriptions
  -etc.

Instead of setting these using the WebUI/API/Hammer/cli, what they usually do is that they update their Activation Key (or create a new one) and then proceed with a massive bulk client re-registration (as the Activation Key only takes effect at that time). This is usually done with their configuration management tool running on the clients (puppet, ansible, chef, etc).

Doing massive re-registration on a regular basis will often cause some issue within Satellite and will be more and more demanding as new systems are added over time. Usually this is causing different collateral symptoms (paused tasks, too many tasks, high load, registration time out, other tasks not been processed, inconsistency between candlepin and foreman, etc).


Suggested improvement/feature:
------------------------------
A. Provide a way to leverage the current Activation Key solution (single point of configuration) without having to re-register the clients.

B. Develop a new feature that allows users to configure as many settings as the Activation Key to maintain existing clients and future clients to be provisioned, which would be easy to use with configuration management tool by having a single variable to use.


Benefits:
--------
Avoid massive re-registration and related issues with this practice.
Simplify automation for users.

Comment 2 Bryan Kearney 2019-01-31 18:27:48 UTC
Please use bulk actions. We will not be enhancing activation keys to address this.


Note You need to log in before you can comment on or make changes to this bug.